{% extends 'dashboard/dashboard_content.html' %}

{% block head_block %}
    <script type="text/javascript">
        function reallow_function(year, month, day, hour) {
            {#            alert("hi heloo");#}
            console.log(year);
            console.log(month);
            console.log(day);
            $.ajax({
                type: "POST",
                data: {
                    semester_pk: {{ selected_semester_pk }},
                    course_pk: '{{ selected_course }}',
                    date: year + '-' + month + '-' + day,
                    hour: hour,
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'instant_reallow_attendance' %}',
                success: function (data) {
                    if (data['modal']) {
                        alert(data['modal']['body']);
                    }
                }
            });
        }

        function delete_function(year, month, day, hour) {
            {#            alert("hi heloo");#}
            console.log(year);
            console.log(month);
            console.log(day);
            $.ajax({
                type: "POST",
                data: {
                    semester_pk: {{ selected_semester_pk }},
                    course_pk: '{{ selected_course }}',
                    date: year + '-' + month + '-' + day,
                    hour: hour,
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'instant_delete_attendance' %}',
                success: function (data) {
                    if (data['modal']) {
                        {#                        alert(data['modal']['body']);#}


                        var $hiddenInput = $('<input/>', {
                            type: 'hidden',
                            value: getCookie('csrftoken'),
                            name: 'csrfmiddlewaretoken'
                        });
                        $hiddenInput.appendTo('form');

                        var $hiddenInput = $('<input/>', {
                            type: 'hidden',
                            value: {{ selected_semester_pk }},
                            name: 'semester_pk'
                        });
                        //alert(this.id);
                        $hiddenInput.appendTo('form');

                        var $hiddenInput = $('<input/>', {
                            type: 'hidden',
                            value: '{{ selected_allotment_pk }}',
                            name: 'selected_allotment_pk'
                        });
                        $hiddenInput.appendTo('form');
                        var $hiddenInput = $('<input/>', {type: 'hidden', value: this.value, name: 'date_range'});
                        $hiddenInput.appendTo('form');
                        $('#week_form').submit();
                    }
                }
            });
        }

    </script>

{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-file-text-o"></i>
                Overall Internals Report
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                {% load auth_extras %}
                {% if request.user|has_group:"principal" or request.user|has_group:"coe_staff" %}
                    <ul class="nav nav-tabs bar_tabs" id="myTab">
                        {% for dept in all_departments %}
                            {% if dept.pk == selected_department_pk %}
                                <li class="active">
                                    <a aria-expanded="true"
                                       id={{ dept.pk }}
                                               data-toggle="tab" name="department_tab">
                                        {{ dept.acronym }}
                                    </a>
                                </li>
                            {% else %}
                                <li class="">
                                    <a aria-expanded="false"
                                       id={{ dept.pk }}
                                               data-toggle="tab" name="department_tab">
                                        {{ dept.acronym }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                {% endif %}
                <ul class="nav nav-tabs bar_tabs" id="myTab">
                    {% for sem in semesters %}
                        {% if sem.semester_instance.pk == selected_semester_pk %}
                            <li class="active">
                                <a aria-expanded="true"
                                   id={{ sem.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ sem.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li class="">
                                <a aria-expanded="false"
                                   id={{ sem.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ sem.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <ul class="nav nav-tabs bar_tabs">
                    {% for course_allotment in course_allotment_list %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>


                <div class="col-md-offset-10">
                    <button type="button" class="btn btn-primary" id='genrate_pdf'>
                        Generate PDF
                    </button>
                </div>

                <div class="x_content">
                    <form method="POST" id="attendance_form">{% csrf_token %}
                        <div class="table-responsive">
                            <table class="table table-striped" id="id_internals_marks_overall_report">
                                {% if current_batch >= 2016 %}
                                    {% if isonecredit == 1 %}
                                        <thead>
                                        <tr>
                                            <th>S.No.</th>
                                            <th>Register Number</th>
                                            <th>Student Name</th>
                                            <th>UT 1</th>
                                            <th>UT 2</th>
                                            <th>RE UT</th>
                                            <th>Student<br>approved</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for student in student_list %}
                                            <tr>
                                                <td>{{ forloop.counter }}</td>
                                                <td>
                                                    {{ student.registration_number }}
                                                </td>
                                                <td>
                                                    {{ student.student_name }}
                                                </td>

                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut1 == null %} AB
                                                    {% elif student.internal_mark_instance.ut1 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut1 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut2 == null %} AB
                                                    {% elif student.internal_mark_instance.ut2 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut2 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.reut == null %} AB
                                                    {% elif student.internal_mark_instance.reut == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.reut }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.student_approved_status %}
                                                        <i class="fa fa-check"></i>
                                                    {% else %}
                                                        <i class="fa fa-close"></i>
                                                    {% endif %}
                                                </td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    {% else %}
                                        <thead>
                                        <tr>
                                            <th>S.No.</th>
                                            <th>Register Number</th>
                                            <th>Student Name</th>
                                            <th>UT 1</th>
                                            <th>UT 2</th>
                                            <th>UT 3</th>
                                            <th>RE UT</th>
                                            <th>Assignment 1</th>
                                            <th>Assignment 2</th>
                                            <th>Assignment 3</th>
                                            <th>Tutorial<br>or<br>Quiz 1</th>
                                            <th>Tutorial<br>or<br>Quiz 2</th>
                                            <th>Tutorial<br>or<br>Quiz 3</th>
                                            <th>Student<br>approved</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for student in student_list %}
                                            <tr>
                                                <td>{{ forloop.counter }}</td>
                                                <td>
                                                    {{ student.registration_number }}
                                                </td>
                                                <td>
                                                    {{ student.student_name }}
                                                </td>

                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut1 == null %} AB
                                                    {% elif student.internal_mark_instance.ut1 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut1 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut2 == null %} AB
                                                    {% elif student.internal_mark_instance.ut2 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut2 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut3 == null %} AB
                                                    {% elif student.internal_mark_instance.ut3 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut3 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.reut == null %} AB
                                                    {% elif student.internal_mark_instance.reut == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.reut }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance.ass1 %}
                                                    {{ student.internal_mark_instance.ass1 }}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance.ass2 %}
                                                    {{ student.internal_mark_instance.ass2 }}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance.ass3 %}
                                                    {{ student.internal_mark_instance.ass3 }}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.tutorial_or_quiz_1 == null %}
                                                        AB
                                                    {% elif student.internal_mark_instance.tutorial_or_quiz_1 == 0 %}
                                                        {% else %}{{ student.internal_mark_instance.tutorial_or_quiz_1 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.tutorial_or_quiz_2 == null %}
                                                        AB
                                                    {% elif student.internal_mark_instance.tutorial_or_quiz_2 == 0 %}
                                                        {% else %}{{ student.internal_mark_instance.tutorial_or_quiz_2 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.tutorial_or_quiz_2 == null %}
                                                        AB
                                                    {% elif student.internal_mark_instance.tutorial_or_quiz_3 == 0 %}
                                                        {% else %}{{ student.internal_mark_instance.tutorial_or_quiz_3 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.student_approved_status %}
                                                        <i class="fa fa-check"></i>
                                                    {% else %}
                                                        <i class="fa fa-close"></i>
                                                    {% endif %}
                                                </td>

                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    {% endif %}
                                {% endif %}
                                {% if current_batch < 2016 %}
                                    <thead>
                                    <tr>
                                        <th>S.No.</th>
                                        <th>Register Number</th>
                                        <th>Student Name</th>
                                        <th>UT 1</th>
                                        <th>UT 2</th>
                                        <th>UT 3</th>
                                        <th>RE UT</th>
                                        <th>Assignment 1</th>
                                        <th>Assignment 2</th>
                                        <th>Assignment 3</th>
                                        <th>Attendance</th>
                                        <th>Student<br>approved</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for student in student_list %}
                                        <tr>
                                            <td>{{ forloop.counter }}</td>
                                            <td>
                                                {{ student.registration_number }}
                                            </td>
                                            <td>
                                                {{ student.student_name }}
                                            </td>

                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ut1 == null %} AB
                                                {% elif student.internal_mark_instance.ut1 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ut1 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ut2 == null %} AB
                                                {% elif student.internal_mark_instance.ut2 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ut2 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ut3 == null %} AB
                                                {% elif student.internal_mark_instance.ut3 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ut3 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.reut == null %} AB
                                                {% elif student.internal_mark_instance.reut == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.reut }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance.ass1 %}
                                                {{ student.internal_mark_instance.ass1 }}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance.ass2 %}
                                                {{ student.internal_mark_instance.ass2 }}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance.ass3 %}
                                                {{ student.internal_mark_instance.ass3 }}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance.att %}
                                                {{ student.internal_mark_instance.att }}{% endif %}</td>
                                            <td>{% if student.student_approved_status %}
                                                        <i class="fa fa-check"></i>
                                                    {% else %}
                                                        <i class="fa fa-close"></i>
                                                    {% endif %}
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                {% endif %}
                            </table>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="department_tab"]').click(function () {
                current_department = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_department_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_semester_pk }},
                    name: 'semester_pk'
                });
                //alert(this.id);
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_department_pk }},
                    name: 'selected_department_pk'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_semester_pk }},
                    name: 'semester_pk'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_allotment_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');
                //alert($('this').textContent);

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_department_pk }},
                    name: 'selected_department_pk'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semester_pk'});
                //alert(this.id);
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();
            });
        });

        $(document).ready(function() {
            $('#id_internals_marks_overall_report').DataTable( {
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: '{{ selected_course }}' + '_internals_report',
                    },
                    {
                        extend: 'csvHtml5',
                        title: '{{ selected_course }}' + '_internals_report',
                    },
                ]
            } );
        } );


        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                window.open('{% url 'pdf_overall_internal_marks' course_id=selected_allotment_pk %}');
            });
        });
    </script>

{% endblock %}